| Home | Libraries | People | FAQ | More

##### swap

###### Description

Returns the return type of swap.

###### Synopsis

    template<typename Seq1, typename Seq2>
    struct swap
    {
        typedef void type;
    };

Table 1.32. Parameters

Parameters | Requirement | Description
--- | --- | ---
`Seq1`, `Seq2` | Models of Forward Sequence | The sequences being swapped

###### Expression Semantics

    result_of::swap<Seq1, Seq2>::type

Return type: `void`.

Semantics: Always returns `void`.

/sequence/intrinsic/swap.hpp>